window.ESSDK_ENV = window.ESSDK_ENV || {};

function getCurrentScriptPathFromChromeFF() {
    return document.currentScript.src;
}

function getCurrentScriptPath() {
    return getCurrentScriptPathFromChromeFF();
}

function getDirAndFileNameFromPath(path) {
    const result = /(.*)[\/\\](.*)/.exec(path);
    if (result && result.length >= 3) {
        return [result[1], result[2]];
    } else {
        return undefined;
    }
}
function getNameAndExtFromFileName(fileName) {
    const result = /(.*)\.(.*)/.exec(fileName);
    if (result && result.length >= 3) {
        return [result[1], result[2]];
    } else {
        return undefined;
    }
}

export function registerAssets() {
    const currentScriptPath = getCurrentScriptPath();
    const [scriptDir, scriptFileName] = getDirAndFileNameFromPath(currentScriptPath) ?? ['', ''];
    const [scriptName, scriptExt] = getNameAndExtFromFileName(scriptFileName) ?? ['', ''];
    if (!scriptName) {
        console.warn(`getCurrentScriptPath error: ${scriptName}`);
        return;
    }
    window.ESSDK_ENV[`${scriptName}-script-path`] = currentScriptPath;
    window.ESSDK_ENV[`${scriptName}-script-dir`] = scriptDir;
    window.ESSDK_ENV[`${scriptName}-script-name`] = scriptName;
    window.ESSDK_ENV[`${scriptName}-script-ext`] = scriptExt;
}

// registerAssets();
